{% extends web.template ~ '/layout.twig.html' %}
{% block slider %}{% endblock %}
{% block page_title %}Invoice nro {{node.nro}} | {{web.name}}{% endblock %}
{% block content %}
<div class="container mb-4">
  <h3 class="text-md-right"><small>INVOICE </small> <b> {{node.nro}}</b> <br>{% if node.confirmed %}<span class="text-success">CONFIRMED</span>{% else %}<span class="text-danger">Waiting confirmed</span>{% endif %}</h3>
  <div class="row">
      <div class="col-md-6">
          <p>
          <strong>Billed To:</strong><br>
              {{node.name}}<br>
              {{node.address}}<br>
              {{node.email}}
          </p>
      </div>
      <div class="col-md-6 text-md-right">
          <p><b>Tour: </b>{{node.tour}}<br>
          <b>Journey Date: </b> {{node.journey_date|date("d M Y")}}<br>
          <b>Travellers:</b>  {{node.travellers}} <i class="fa fa-users" title="Travellers"></i><br>
          <b>Status:</b> {{node.invoice_status}}
          </p>
      </div>
  </div>
  <table class="table-bordered table-hover mb-2" style="width: 100%">
    <thead class="thead-default">
      <tr>
        <th></th>
        <th width="50" title="Travellers"><i class="fa fa-users"></i></th>
        <th width="120px" class="text-center">Price</th>
        <th width="120px" class="text-right">Subtotal</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>Adults</td>
        <td class="text-center" title="Travellers">{{node.adults}}</td>
        <td class="text-right">{{node.currency}} {{node.price_adult}}</td>
        <td class="text-right">{{node.currency}} {{node.total_adult}}</td>
      </tr>
      <tr>
        <td>Student</td>
        <td class="text-center" title="Travellers">{{node.students}}</td>
        <td class="text-right">{{node.currency}} {{node.price_student}}</td>
        <td class="text-right">{{node.currency}} {{node.total_student}}</td>
      </tr>
      <tr>
        <td>Child</td>
        <td class="text-center" title="Travellers">{{node.children}}</td>
        <td class="text-right">{{node.currency}} {{node.price_child}}</td>
        <td class="text-right">{{node.currency}} {{node.total_child}}</td>
      </tr>
    </tbody>
  </table>
  <table class=" table-bordered" style="width: 100%">
      <tr>
        <td class="text-right"><b>SUBTOTAL</b></td>
        <td class="text-right table-secondary">{{node.currency}} {{node.subtotal}}</td>
      </tr>
      <tr>
        <td class="text-right">Discount</td>
        <td class="text-right">{{node.currency}} {{node.discount}}</td>
      </tr>
      <tr>
        <td class="text-right">Commisión (%)</td>
        <td class="text-right">{{node.currency}} {{node.commission}}</td>
      </tr>
      <tr>
        <td class="text-right"><b>TOTAL</b></td>
        <td class="text-right table-secondary" width="150px"><b>{{node.currency}} {{node.total_commission}}</b></td>
      </tr>
      <tr>
        <td colspan="2" class="text-right"><button id="paynow" class="btn btn-primary btn-lg" >PAY NOW</button></td>
      </tr>
  </table>

  <p class="text-center"><img src="https://culqi.com/images/cards/visa.png" alt="Culqi visa"> <img src="https://culqi.com/images/cards/mc.png" alt="Culqi Master Card"> <img src="https://culqi.com/images/cards/diners.png" alt="Culqi Diners Club"> <img src="https://culqi.com/images/cards/amex.png" alt="Culqi American Express"> <img src="https://culqi.com/images/cards/up.png" alt="Culqi UnionPay"> <img src="https://culqi.com/images/cards/ripley.png" alt="Culqi Ripley"> <img src="https://culqi.com/images/cards/cmr.png" alt="Culqi banco falabella"> <img src="https://culqi.com/images/cards/oh.png" alt="Culqi tarjetas oh"> <img src="https://culqi.com/images/cards/cencosud.png" alt="Culqi Cencosud"> <img src="https://culqi.com/images/cards/presta.png" alt="Culqi tarjetas presta"></p>
  <div id="accordion" role="tablist">
  <div class="card">
    <div class="card-header" role="tab" id="headingOne">
      <h5 class="mb-0">
        <a data-toggle="collapse" href="#collapseOne" aria-expanded="false" aria-controls="collapseOne"><i class="fa fa-book"></i> Itinerario</a>
      </h5>
    </div>
    <div id="collapseOne" class="collapse" role="tabpanel" aria-labelledby="headingOne" data-parent="#accordion">
      <div class="card-body"><i class="fa fa"></i>{{node.itinerary|safe}}</div>
    </div>
  </div>
  <div class="card">
    <div class="card-header" role="tab" id="headingTwo">
      <h5 class="mb-0">
        <a class="collapsed" data-toggle="collapse" href="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo"><i class="fa fa-joomla"></i> Include</a>
      </h5>
    </div>
    <div id="collapseTwo" class="collapse" role="tabpanel" aria-labelledby="headingTwo" data-parent="#accordion">
      <div class="card-body">{{node.include|safe}}</div>
    </div>
  </div>
  <div class="card">
    <div class="card-header" role="tab" id="headingThree">
      <h5 class="mb-0">
        <a class="collapsed" data-toggle="collapse" href="#collapseThree" aria-expanded="false" aria-controls="collapseThree"><i class="fa fa-info-circle"></i> Recommendations</a>
      </h5>
    </div>
    <div id="collapseThree" class="collapse" role="tabpanel" aria-labelledby="headingThree" data-parent="#accordion">
      <div class="card-body">{{node.useful_information|safe}}</div>
    </div>
  </div>
</div>
</div>
{% endblock %}
{% block css_js %}
<script src="https://checkout.culqi.com/v2" type="text/javascript"></script>
<script>
Culqi.publicKey = '{{web.culqi_api_key}}';
Culqi.settings({
  title: '{{web.name}}',
  currency: '{{node.currency}}',
  description: '{{node.tour}}',
  amount: {{node.total_commission}} * 100
});
$('#paynow').on('click', function(e) {
  Culqi.open();
  e.preventDefault();
});
function culqi() {
  if(Culqi.token) { // ¡Token creado exitosamente!
    // Get the token ID:
    var token = Culqi.token.id;
    console.log(token)

  }else{ // ¡Hubo algún problema!
    // Mostramos JSON de objeto error en consola
    console.log(Culqi.error);
    alert(Culqi.error.mensaje);
  }
};
</script>
{% endblock %}
{% block blocks %}{% endblock %}
{% block front %}{% endblock %}
{% block promoted %}{% endblock %}